Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154902 - gfs_mkfs can get confused by certain filesystem sizes
Summary: gfs_mkfs can get confused by certain filesystem sizes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ken Preslan
QA Contact: GFS Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 19:18 UTC by Ken Preslan
Modified: 2010-01-12 03:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-25 16:41:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:466 normal SHIPPED_LIVE GFS bug fix update 2005-05-25 04:00:00 UTC

Description Ken Preslan 2005-04-14 19:18:41 UTC
Description of problem:
On devices of certain sizes, gfs_mkfs will die and print "confused computing bitblock length".  The 
problem is in a routine that takes a target size for a Resource Group and figures out how many blocks 
in the RG will be bitmap blocks and how many will be free blocks for allocation.  It's possible that for 
certain RG sizes, x bitmap blocks is too few, but x+1 is too many.  Confusing, huh?

Version-Release number of selected component (if applicable):
This affects all versions of gfs_mkfs.

How reproducible:
I believe this happens on about one out of about every 16000 randomly sized devices.

Steps to Reproduce:
1. Run gfs_mkfs on randomly sized devices until it happens.
2. Or: Rip out the function with the problem and simulate running gfs_mkfs on randomly sized devices.
3. Or: Take my word for it.
  
Actual results:
gfs_mkfs dies with an error.

Expected results:
gfs_mkfs should run to completion.

Additional info:
As a temporary workaround, you should be able to avoid the problem by monkeying with the -r option 
to gfs_mkfs.

Comment 1 Ken Preslan 2005-04-14 19:54:27 UTC
Fixed for 5.2.1, 6.0, and CVS head.  Fixable for 6.1 upon request.

Just throw away the one extra block that caused x bitmap blocks to be too few.


Comment 2 Jay Turner 2005-05-25 16:41:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-466.html



Note You need to log in before you can comment on or make changes to this bug.